use Encode qw/encode decode/;
use Encode::Guess qw/cp932 shiftjis/;

$filename = dir_pl ( $ARGV[0] );
print "Checking ".$filename."\n";
open( GOPFILE, $filename );
while (<GOPFILE>) {
	if (/(\d\d):(\d\d):(\d\d):(\d\d\d)/) {
		$count2 = ( $1 * 3600000 ) + ( $2 * 60000 ) + ( $3 * 1000 ) + $4;
		$countup = $count2 - $count1;
		if ((defined ( $line1 )) and ( $countup > 1000 )) {

			print $line1.$_.$countup."\n";
		}

		$line1 = $_;
		$count1 = $count2;
	}
}
print "Check end.";

#R}hCppathPerlppathɕϊ֐̂͂cc
#prAȂ̂ŁAGuess̗ސʂςłI
sub dir_pl {
	my $temp = $_[0];
	my $decoder = Encode::Guess->guess( $temp );
	if ($decoder =~ /(cp932|shiftjis)/) {
		$temp = decode( 'cp932', $temp );
		$temp =~ tr@\\@/@;
		$temp = encode( 'cp932', $temp );
	} else {
		$temp =~ tr@\\@/@;
	}
	return $temp;
}
